The following packages have unmet dependencies

Created:

2016-11-16 12:49:13 UTC

Modified:

2017-08-16 16:47:30 UTC

2

Was this article helpful?


Have more questions?

Submit a request

The following packages have unmet dependencies

Applicable to:

  • Plesk 10.x for Linux
  • Plesk Onyx for Linux
  • Plesk 11.x for Linux
  • Plesk 12.0 for Linux

Symptoms

Unable to install Plesk 11.5 on Debian server. Installation process fails with errors:

 The following packages have unmet dependencies:
drweb-libs : Depends: ia32-libs but it is not going to be installed
plesk-base : Depends: sw-engine (>= 2.9.6) but it is not going to be installed
plesk-core : Depends: libcurl3 (>= 7.16.2) but it is not going to be installed
Depends: curl but it is not going to be installed
plesk-dns-bind-driver : Depends: bind9 (>= 9.2.1) but it is not going to be installed
Depends: dnsutils but it is not going to be installed
plesk-service-node-utilities : Depends: libcurl3 (>= 7.16.2) but it is not going to be installed
pp11.5.30-bootstrapper : Depends: sw-engine (>= 2.0) but it is not going to be installed
psa-php5-configurator : Depends: php5-sqlite but it is not going to be installed
Depends: php5-mysql but it is not going to be installed
Depends: php5-gd but it is not going to be installed
Depends: php5-imap but it is not going to be installed
Depends: php5-curl but it is not going to be installed
Depends: php5-xsl but it is not going to be installed
PreDepends: libapache2-mod-php5 but it is not going to be installed
PreDepends: php5-cli but it is not going to be installed
PreDepends: php5-cgi but it is not going to be installed

Cause

Installer could not resolve dependencies due to configured sources for repositories.

Resolution

Exclude cdrom sources from /etc/apt/sources.list :

Example of properly configured sources.list for Debian 7:

deb http://ftp.de.debian.org/debian stable main contrib non-free
deb-src http://ftp.de.debian.org/debian stable main contrib non-free

deb http://ftp.debian.org/debian/ wheezy-updates main contrib non-free
deb-src http://ftp.debian.org/debian/ wheezy-updates main contrib non-free

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

To apply changes perform :

    # apt-get update

You can use very useful online tool to generate your Debian sources list based on requirements: Debian Sources List Generator

Have more questions? Submit a request
Please sign in to leave a comment.